Package org.zkoss.stateless.sul

## Enum IButtonBase.Direction

- java.lang.Object
- - java.lang.Enum<IButtonBase.Direction>
  - - org.zkoss.stateless.sul.IButtonBase.Direction

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IButtonBase.Direction>`
  Enclosing interface:
    IButtonBase<I extends IButtonBase>

      public static enum IButtonBase.Direction
      extends java.lang.Enum<IButtonBase.Direction>

  Specifies the direction to layout image with `IButtonBase.withDir(Direction)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NORMAL` | The normal direction.
    `REVERSE` | The reverse direction.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IButtonBase.Direction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IButtonBase.Direction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final IButtonBase.Direction NORMAL

      The normal direction.

    - #### REVERSE

          public static final IButtonBase.Direction REVERSE

      The reverse direction.

  - ### Method Detail

    - #### values

          public static IButtonBase.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IButtonBase.Direction c : IButtonBase.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IButtonBase.Direction valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null